Page MenuHomePhabricator

efl-wl: rework parent surface getter to a more useful property
ClosedPublic

Authored by zmike on Mar 6 2020, 9:19 AM.

Details

Summary

getting any parent is probably fine

Depends on D11466

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Mar 6 2020, 9:19 AM
zmike requested review of this revision.Mar 6 2020, 9:19 AM

Can't see anything wrong, API-wise.

zmike updated this revision to Diff 29400.Mar 9 2020, 9:15 AM
zmike edited the summary of this revision. (Show Details)

fixups/rebase

bu5hm4n accepted this revision.Mar 12 2020, 4:33 AM
This revision is now accepted and ready to land.Mar 12 2020, 4:33 AM
zmike updated this revision to Diff 29443.Mar 12 2020, 6:31 AM

only return parent if it has a role (though this probably is an impossible case)

This revision was automatically updated to reflect the committed changes.